CURSES_INSERTLN(3) | NetBSD Library Functions Manual | CURSES_INSERTLN(3)

# NAME

curses_insertln, insertln, winsertln — curses insert single line routines

# LIBRARY

Curses Library (libcurses, -lcurses)

# SYNOPSIS

#include <curses.h>

int
insertln(void);

int
winsertln(WINDOW *win);

# DESCRIPTION

These functions insert a single line on stdscr or on the specified window.

The insertln() function inserts a blank line before the current line on stdscr. The current line and all lines below are moved down one line away from the cursor and the bottom line of the window is lost.

The winsertln() function is the same as the insertln() function, excepting that the line is inserted on the window win.

If a scrolling region has been set with the setscrreg() or wsetscrreg() functions and the current cursor position is inside the scrolling region, then only the lines from the current line to the bottom of the scrolling region are moved down and the bottom line of the scrolling region lost.

The functions insertln() and winsertln(win) are equivalent to insdelln(1) and winsdelln(win, 1), respectively.

# RETURN VALUES

Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following values:

OK
  The function completed successfully.
ERR
  An error occurred in the function.

# SEE ALSO

curses_deleteln(3), curses_insdelln(3), curses_scroll(3)

# STANDARDS

The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

# HISTORY

The Curses package appeared in 4.0BSD.

February 5, 2006 | NetBSD 5.99